Bug 491308 - nouveau does not play well with nvidiafb; the latter should be disabled
nouveau does not play well with nvidiafb; the latter should be disabled
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-20 06:50 EDT by Alex Kanavin
Modified: 2009-11-06 23:39 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-06 23:39:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 490367 None None None Never

  None (edit)
Description Alex Kanavin 2009-03-20 06:50:27 EDT
On my PPC machine, nouveau seems to clash with nvidiafb when booting the latest boot.iso images - the machine freezes when switching to a virtual console and back. Supplying video=ofonly fixes the problem, so I believe something similar should be done by default.
Comment 1 Alex Kanavin 2009-04-04 15:23:18 EDT
The problem persists in F11 Beta.
Comment 2 Paul Marques Mota 2009-04-13 05:40:27 EDT
See also #490367. In that case, passing video=ofonly did not help, as far as I can see.
Comment 3 Alex Kanavin 2009-04-13 06:10:32 EDT
I don't see 'video=ofonly' mentioned anywhere in that bug.
Comment 4 Alex Kanavin 2009-04-28 12:48:33 EDT
The problem persists in F11 Preview.
Comment 5 Ben Skeggs 2009-05-04 06:45:31 EDT
Resolved as of kernel-2.6.29.2-126.fc11.
Comment 6 Alex Kanavin 2009-09-03 17:08:17 EDT
This seems to have regressed in latest rawhide - nvidiafb is again used by default when booting from the installation image.
Comment 7 Alex Kanavin 2009-10-04 16:49:06 EDT
This has now regressed in latest F11 kernels as well - 2.6.30 updates are again using nvidiafb by default which is causing trouble. Should be either offb, or this new nouveau fb driver.
Comment 8 Ben Skeggs 2009-10-08 19:12:34 EDT
This should be fixed again in both F11 and F12, the F12 package is available at http://koji.fedoraproject.org/koji/buildinfo?buildID=135765.
Comment 9 Alex Kanavin 2009-10-29 11:40:13 EDT
Yes, the latest F11 kernel has fixed the issue. I will let you know later about F12, when bug 529937 gets resolved.
Comment 10 Alex Kanavin 2009-11-06 18:41:39 EST
Yep, everything fine now in F12 as well (at least in the iso image all the way to graphical installer).
Comment 11 Adam Williamson 2009-11-06 23:39:49 EST
excellent, thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.